Bug 118034 - [update] devel/cvs+ipv6 1.11.17_2
Summary: [update] devel/cvs+ipv6 1.11.17_2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Munechika Sumikawa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-11-14 07:30 UTC by Balwinder S Dheeman
Modified: 2008-05-27 03:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.96 KB, patch)
2007-11-14 07:30 UTC, Balwinder S Dheeman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balwinder S Dheeman 2007-11-14 07:30:01 UTC
* Fixed Makefile and pkg-plist; minimized portlint warnings.

Fix: A patch against existing port is attached herewith.


Patch attached with submission follows:
How-To-Repeat: Try portlint on the existing port.
Comment 1 Edwin Groothuis freebsd_committer 2007-11-14 07:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sumikawa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 sumikawa 2008-02-08 04:34:45 UTC
Hi,

I have several comments and questions.

> -CONFLICTS=	cvsnt-[12]*
> +CONFLICTS=	cvsnt-[12]* cvs-devel-[12]*

Where is cvs-devel-[12]* port?  I could not find it out.

> -replace:
> +post-install:

I don't agree with replacing the original binaries in default.


>  .for f in cvs cvsbug
> -	${MV} /usr/bin/${f} /usr/bin/${f}.orig
> -	${CP} -p ${PREFIX}/bin/${f} /usr/bin/
> +	${MV} ${PREFIX:S/\/local//}/bin/${f} ${PREFIX:S/\/local//}/bin/${f}.orig
> +	${CP} -p ${PREFIX}/bin/${f} ${PREFIX:S/\/local//}/bin
>  .endfor

This must be paranoia way just for removing warning.  This fix should
not be necessary.  warning is warning. just ignore it.

-- Sumikawa
Comment 3 Balwinder S Dheeman 2008-02-09 01:49:58 UTC
On 02/08/2008 10:04 AM, Munechika SUMIKAWA / è§å·å®è¿ wrote:
> Hi,
>
> I have several comments and questions.
>
>   
>> -CONFLICTS=	cvsnt-[12]*
>> +CONFLICTS=	cvsnt-[12]* cvs-devel-[12]*
>>     
>
> Where is cvs-devel-[12]* port?  I could not find it out.
>   

It is a new port based on feature/devel branch of the cvs, which I also 
have submitted to FreeBSD project, see 
http://cto.homelinux.net/ports#cvs-devel and, or 
http://www.freebsd.org/cgi/query-pr.cgi?pr=118033

>> -replace:
>> +post-install:
>>     
>
> I don't agree with replacing the original binaries in default.
>   
>>  .for f in cvs cvsbug
>> -	${MV} /usr/bin/${f} /usr/bin/${f}.orig
>> -	${CP} -p ${PREFIX}/bin/${f} /usr/bin/
>> +	${MV} ${PREFIX:S/\/local//}/bin/${f} ${PREFIX:S/\/local//}/bin/${f}.orig
>> +	${CP} -p ${PREFIX}/bin/${f} ${PREFIX:S/\/local//}/bin
>>  .endfor
>>     
>
> This must be paranoia way just for removing warning.  This fix should
> not be necessary.  warning is warning. just ignore it.
>   

NP, you may go in for the best FreeBSD specific policies and omit/revert 
both of the above changes

Thanks,
Regards,

-- 
Dr Balwinder S "bsd" Dheeman          Registered Linux User: #229709
Anu'z Linux@HOME (Unix Shoppe)        Machines: #168573, 170593, 259192
Chandigarh, UT, 160062, India         Gentoo, Fedora, Debian/FreeBSD/XP
Home: http://cto.homelinux.net/~bsd/  Visit: http://counter.li.org/
Comment 4 sumikawa 2008-02-12 04:02:26 UTC
> NP, you may go in for the best FreeBSD specific policies and
> omit/revert both of the above changes

Okay, I will commit a part of your patch after cvs-devel is imported.

Thanks,

-- Sumikawa
Comment 5 dfilter service freebsd_committer 2008-05-27 03:46:49 UTC
sumikawa    2008-05-27 02:46:45 UTC

  FreeBSD ports repository

  Modified files:
    devel/cvs+ipv6       Makefile 
  Log:
  Add cvs-devel on CONFLICTS.
  
  PR:     ports/118034
  From:   Balwinder S Dheeman
  
  Revision  Changes    Path
  1.23      +1 -2      ports/devel/cvs+ipv6/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Munechika Sumikawa freebsd_committer 2008-05-27 03:47:02 UTC
State Changed
From-To: open->closed

Commited, thanks.